<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-button (click)="this.commonMethodsTs.goBack()" slot="start">
			<ion-icon slot="icon-only" name="arrow-round-back">
			</ion-icon>
		</ion-button>
		<ion-title (click)="this.commonMethodsTs.toPage_AdminRanking()">
			<ion-icon name="home"></ion-icon>
			Thông tin ranking
		</ion-title>
		<ion-button slot="end" (click)="saveData()">
			<ion-icon slot="icon-only" name="save"></ion-icon>
		</ion-button>
	</ion-toolbar>
</ion-header>

<ion-content color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<form *ngIf="this.data && myForm" [formGroup]="myForm">
			<ion-list class="list-info-user">
				<ion-item>
					<ion-label position="stacked">Chọn ảnh đại diện:</ion-label>
					<dailyxe-ion-image formControlName="UrlHinhDaiDien">
					</dailyxe-ion-image>
				</ion-item>
				<ion-item>
					<ion-label>Mã(<span class="c-red">*</span>): </ion-label>
					<ion-input placeholder="Nhập mã" formControlName="Ma"></ion-input>
				</ion-item>
				<ion-item>
					<ion-label>Giới hạn số lượng hình(<span class="c-red">*</span>):
					</ion-label>
					<dailyxe-ion-number placeholder="Giới hạn số lượng hình" [min]="0"
						[max]="100"
						formControlName="TongImage"></dailyxe-ion-number>
				</ion-item>
				<ion-item lines="full">
					<ion-list class="ion-no-padding" lines="none">
						<ion-radio-group class="custom-radio" formControlName="TrangThai">
							<ion-item class="ion-no-padding">
								<ion-label>Trạng thái: </ion-label>
							</ion-item>
							<ion-item>
								<ion-label>Hiện</ion-label>
								<ion-radio slot="start" [value]="1"></ion-radio>
							</ion-item>
							<ion-item>
								<ion-label>Ẩn</ion-label>
								<ion-radio slot="start" [value]="2"></ion-radio>
							</ion-item>
						</ion-radio-group>
					</ion-list>
				</ion-item>
			</ion-list>
		</form>

		<ion-list *ngIf="this.data.Id != -1" lines="none"
			class="list-info-user ion-margin-top ion-padding-vertical
			ion-padding-horizontal">
			<ion-button (click)="delete()" class="w-100p mx-a" color="primary">Xoá</ion-button>
		</ion-list>
	</ion-grid>
</ion-content>